Bug 1813986 - Array handled improperly, leading to ISE
Summary: Array handled improperly, leading to ISE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.9.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-16 16:13 UTC by Lukáš Hellebrandt
Modified: 2021-04-21 13:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:12:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
foreman-tail (2.93 KB, text/plain)
2020-03-16 16:14 UTC, Lukáš Hellebrandt
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29984 0 Normal Closed Array handled improperly, leading to ISE 2021-02-16 11:20:40 UTC

Description Lukáš Hellebrandt 2020-03-16 16:13:31 UTC
Description of problem:
Request with size_gb=<some_array> leads to ISE. Passing an array for this parameter is incorrect but ISE is not a correct response.

Version-Release number of selected component (if applicable):
Reproduced with Sat 6.7

How reproducible:
Deterministic

Steps to Reproduce:
1. # hammer host create --hostgroup testgrp --location-id 2 --organization-id 1 --name lhellebr-delme-convert10 --ip 192.168.122.86 --volume "size_gb=[20],wipe_after_delete=[bla],storage_domain=<UUID>"
Could not create the host:
  Internal Server Error: the server was unable to finish the request. This may be caused by unavailability of some required service, incorrect API call or a server-side bug. There may be more information in the server's logs.

Actual results:
ISE

Expected results:
Meaningful error message, like "Incorrect value of argument 'size_gb'"

Additional info:
Traceback not useful but attached

Comment 3 Lukáš Hellebrandt 2020-03-16 16:14:14 UTC
Created attachment 1670584 [details]
foreman-tail

Comment 4 Shira Maximov 2020-06-02 11:50:24 UTC
Created redmine issue https://projects.theforeman.org/issues/29984 from this bug

Comment 5 Bryan Kearney 2020-08-02 12:05:14 UTC
Upstream bug assigned to mshira@redhat.com

Comment 6 Bryan Kearney 2020-08-02 12:05:18 UTC
Upstream bug assigned to mshira@redhat.com

Comment 7 Bryan Kearney 2020-08-30 12:05:56 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/29984 has been resolved.

Comment 8 Brad Buckingham 2020-11-13 19:34:27 UTC
Fix is in Satellite 6.9 SNAP 1 with foreman-2.3.0-0.7.rc1.el7sat.noarch

Comment 13 errata-xmlrpc 2021-04-21 13:12:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.